Index: trunk/Cocoa/Pester/Source/Manip.pm
===================================================================
--- trunk/Cocoa/Pester/Source/Manip.pm	(revision 617)
+++ trunk/Cocoa/Pester/Source/Manip.pm	(revision 618)
@@ -3063,18 +2965,18 @@
     }
     if ($dow == $curr_dow) {
-      $date=&DateCalc_DateDelta($date,"+0:0:1:0:0:0:0",\$err,0)  if (! $today);
+      $date=_DateCalc_DateDelta($date,"+0:0:1:0:0:0:0",\$err,0)  if (! $today);
       $adjust=1  if ($today==2);
     } else {
       $curr_dow -= 7  if ($curr_dow>$dow); # make sure next date is greater
       $num = $dow - $curr_dow;
-      $date=&DateCalc_DateDelta($date,"+0:0:0:$num:0:0:0",\$err,0);
-    }
-    $date=&Date_SetTime($date,$hr,$min,$sec)  if (defined $hr);
-    $date=&DateCalc_DateDelta($date,"+0:0:1:0:0:0:0",\$err,0)
-      if ($adjust  &&  &Date_Cmp($date,$curr)<0);
+      $date=_DateCalc_DateDelta($date,"+0:0:0:$num:0:0:0",\$err,0);
+    }
+    $date=Date_SetTime($date,$hr,$min,$sec)  if (defined $hr);
+    $date=_DateCalc_DateDelta($date,"+0:0:1:0:0:0:0",\$err,0)
+      if ($adjust  &&  Date_Cmp($date,$curr)<0);
 
   } else {
-    ($h,$mn,$s)=( &Date_Split($date, 1) )[3..5];
-    ($th,$tm,$ts)=&Date_ParseTime($hr,$min,$sec);
+    ($h,$mn,$s)=( _Date_Split($date, 1) )[3..5];
+    ($th,$tm,$ts)=_Date_ParseTime($hr,$min,$sec);
     if ($hr) {
       ($hr,$min,$sec)=($th,$tm,$ts);
@@ -3090,9 +2992,9 @@
     }
 
-    $d=&Date_SetTime($date,$hr,$min,$sec);
+    $d=Date_SetTime($date,$hr,$min,$sec);
     if ($today) {
-      $d=&DateCalc_DateDelta($d,$delta,\$err,0)  if (&Date_Cmp($d,$date)<0);
+      $d=_DateCalc_DateDelta($d,$delta,\$err,0)  if (Date_Cmp($d,$date)<0);
     } else {
-      $d=&DateCalc_DateDelta($d,$delta,\$err,0)  if (&Date_Cmp($d,$date)<1);
+      $d=_DateCalc_DateDelta($d,$delta,\$err,0)  if (Date_Cmp($d,$date)<1);
     }
     $date=$d;
@@ -3105,10 +3007,10 @@
   print "DEBUG: Date_IsHoliday\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $date=&ParseDateString($date);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $date=ParseDateString($date);
   return undef  if (! $date);
-  $date=&Date_SetTime($date,0,0,0);
-  my($y)=(&Date_Split($date, 1))[0];
-  &Date_UpdateHolidays($y)  if (! exists $Holiday{"dates"}{$y});
+  $date=Date_SetTime($date,0,0,0);
+  my($y)=(_Date_Split($date, 1))[0];
+  _Date_UpdateHolidays($y)  if (! exists $Holiday{"dates"}{$y});
   return undef  if (! exists $Holiday{"dates"}{$y}{$date});
   my($name)=$Holiday{"dates"}{$y}{$date};
@@ -3120,19 +3022,19 @@
   print "DEBUG: Events_List\n"  if ($Curr{"Debug"} =~ /trace/);
   my(@args)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  &Events_ParseRaw();
+  Date_Init()  if (! $Curr{"InitDone"});
+  _Events_ParseRaw();
 
   my($tmp,$date0,$date1,$flag);
-  $date0=&ParseDateString($args[0]);
+  $date0=ParseDateString($args[0]);
   warn "Invalid date $args[0]", return undef  if (! $date0);
 
   if ($#args == 0) {
-    return &Events_Calc($date0);
+    return _Events_Calc($date0);
   }
 
   if ($args[1]) {
-    $date1=&ParseDateString($args[1]);
+    $date1=ParseDateString($args[1]);
     warn "Invalid date $args[1]\n", return undef  if (! $date1);
-    if (&Date_Cmp($date0,$date1)>0) {
+    if (Date_Cmp($date0,$date1)>0) {
       $tmp=$date1;
       $date1=$date0;
@@ -3140,9 +3042,9 @@
     }
   } else {
-    $date0=&Date_SetTime($date0,"00:00:00");
-    $date1=&DateCalc_DateDelta($date0,"+0:0:0:1:0:0:0");
-  }
-
-  $tmp=&Events_Calc($date0,$date1);
+    $date0=Date_SetTime($date0,"00:00:00");
+    $date1=_DateCalc_DateDelta($date0,"+0:0:0:1:0:0:0");
+  }
+
+  $tmp=_Events_Calc($date0,$date1);
 
   $flag=$args[2];
@@ -3157,8 +3059,8 @@
       ($date0,$tmp)=splice(@tmp,0,2);
       $date1=$tmp[0];
-      $delta=&DateCalc_DateDate($date0,$date1);
+      $delta=_DateCalc_DateDate($date0,$date1);
       foreach $flag (@$tmp) {
         if (exists $ret{$flag}) {
-          $ret{$flag}=&DateCalc_DeltaDelta($ret{$flag},$delta);
+          $ret{$flag}=_DateCalc_DeltaDelta($ret{$flag},$delta);
         } else {
           $ret{$flag}=$delta;
@@ -3172,9 +3074,9 @@
       ($date0,$tmp)=splice(@tmp,0,2);
       $date1=$tmp[0];
-      $delta=&DateCalc_DateDate($date0,$date1);
+      $delta=_DateCalc_DateDate($date0,$date1);
       $flag=join("+",sort { Date_Cmp($a,$b) } @$tmp);
       next  if (! $flag);
       if (exists $ret{$flag}) {
-        $ret{$flag}=&DateCalc_DeltaDelta($ret{$flag},$delta);
+        $ret{$flag}=_DateCalc_DeltaDelta($ret{$flag},$delta);
       } else {
         $ret{$flag}=$delta;
@@ -3195,18 +3097,18 @@
   print "DEBUG: Date_SetTime\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date,$h,$mn,$s)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
+  Date_Init()  if (! $Curr{"InitDone"});
   my($y,$m,$d)=();
 
-  if (! &Date_Split($date)) {
-    $date=&ParseDateString($date);
+  if (! _Date_Split($date)) {
+    $date=ParseDateString($date);
     return ""  if (! $date);
   }
 
-  ($y,$m,$d)=( &Date_Split($date, 1) )[0..2];
-  ($h,$mn,$s)=&Date_ParseTime($h,$mn,$s);
+  ($y,$m,$d)=( _Date_Split($date, 1) )[0..2];
+  ($h,$mn,$s)=_Date_ParseTime($h,$mn,$s);
 
   my($ampm,$wk);
-  return ""  if (&Date_DateCheck(\$y,\$m,\$d,\$h,\$mn,\$s,\$ampm,\$wk));
-  &Date_Join($y,$m,$d,$h,$mn,$s);
+  return ""  if (_Date_DateCheck(\$y,\$m,\$d,\$h,\$mn,\$s,\$ampm,\$wk));
+  _Date_Join($y,$m,$d,$h,$mn,$s);
 }
 
@@ -3217,10 +3119,10 @@
   $nocheck=0  if (! defined $nocheck);
 
-  ($y,$m,$d,$h,$mn,$s)=&Date_Split($date);
+  ($y,$m,$d,$h,$mn,$s)=_Date_Split($date);
 
   if (! $y) {
-    $date=&ParseDateString($date);
+    $date=ParseDateString($date);
     return "" if (! $date);
-    ($y,$m,$d,$h,$mn,$s)=&Date_Split($date, 1);
+    ($y,$m,$d,$h,$mn,$s)=_Date_Split($date, 1);
   }
 
@@ -3241,6 +3143,6 @@
   }
 
-  $date=&Date_Join($y,$m,$d,$h,$mn,$s);
-  return $date  if ($nocheck  ||  &Date_Split($date));
+  $date=_Date_Join($y,$m,$d,$h,$mn,$s);
+  return $date  if ($nocheck  ||  _Date_Split($date));
   return "";
 }
@@ -3261,7 +3163,7 @@
   print "DEBUG: Date_DaysInMonth\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  $y=_Date_FixYear($y)  if (length($y)!=4);
   my(@d_in_m)=(0,31,28,31,30,31,30,31,31,30,31,30,31);
-  $d_in_m[2]=29  if (&Date_LeapYear($y));
+  $d_in_m[2]=29  if (Date_LeapYear($y));
   return $d_in_m[$m];
 }
@@ -3270,9 +3172,9 @@
   print "DEBUG: Date_DayOfWeek\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$d,$y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  $y=_Date_FixYear($y)  if (length($y)!=4);
   my($dayofweek,$dec31)=();
 
   $dec31=5;                     # Dec 31, 1BC was Friday
-  $dayofweek=(&Date_DaysSince1BC($m,$d,$y)+$dec31) % 7;
+  $dayofweek=(Date_DaysSince1BC($m,$d,$y)+$dec31) % 7;
   $dayofweek=7  if ($dayofweek==0);
   return $dayofweek;
@@ -3284,8 +3186,8 @@
   print "DEBUG: Date_SecsSince1970\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$d,$y,$h,$mn,$s)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  $y=_Date_FixYear($y)  if (length($y)!=4);
   my($sec_now,$sec_70)=();
-  $sec_now=(&Date_DaysSince1BC($m,$d,$y)-1)*24*3600 + $h*3600 + $mn*60 + $s;
-# $sec_70 =(&Date_DaysSince1BC(1,1,1970)-1)*24*3600;
+  $sec_now=(Date_DaysSince1BC($m,$d,$y)-1)*24*3600 + $h*3600 + $mn*60 + $s;
+# $sec_70 =(Date_DaysSince1BC(1,1,1970)-1)*24*3600;
   $sec_70 =62167219200;
   return ($sec_now-$sec_70);
@@ -3295,8 +3197,8 @@
   print "DEBUG: Date_SecsSince1970GMT\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$d,$y,$h,$mn,$s)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $y=&Date_FixYear($y)  if (length($y)!=4);
-
-  my($sec)=&Date_SecsSince1970($m,$d,$y,$h,$mn,$s);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $y=_Date_FixYear($y)  if (length($y)!=4);
+
+  my($sec)=Date_SecsSince1970($m,$d,$y,$h,$mn,$s);
   return $sec   if ($Cnf{"ConvTZ"} eq "IGNORE");
 
@@ -3316,5 +3218,5 @@
   print "DEBUG: Date_DaysSince1BC\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$d,$y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  $y=_Date_FixYear($y)  if (length($y)!=4);
   my($Ny,$N4,$N100,$N400,$dayofyear,$days)=();
   my($cc,$yy)=();
@@ -3339,5 +3241,5 @@
   $N400=0       if ($y==0);
 
-  $dayofyear=&Date_DayOfYear($m,$d,$y);
+  $dayofyear=Date_DayOfYear($m,$d,$y);
   $days= $Ny*365 + $N4 - $N100 + $N400 + $dayofyear;
 
@@ -3348,9 +3250,9 @@
   print "DEBUG: Date_DayOfYear\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$d,$y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  $y=_Date_FixYear($y)  if (length($y)!=4);
   # DinM    = (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31)
   my(@days) = ( 0, 31, 59, 90,120,151,181,212,243,273,304,334,365);
   my($ly)=0;
-  $ly=1  if ($m>2 && &Date_LeapYear($y));
+  $ly=1  if ($m>2 && Date_LeapYear($y));
   return ($days[$m-1]+$d+$ly);
 }
@@ -3359,6 +3261,6 @@
   print "DEBUG: Date_DaysInYear\n"  if ($Curr{"Debug"} =~ /trace/);
   my($y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
-  return 366  if (&Date_LeapYear($y));
+  $y=_Date_FixYear($y)  if (length($y)!=4);
+  return 366  if (Date_LeapYear($y));
   return 365;
 }
@@ -3367,9 +3269,9 @@
   print "DEBUG: Date_WeekOfYear\n"  if ($Curr{"Debug"} =~ /trace/);
   my($m,$d,$y,$f)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $y=_Date_FixYear($y)  if (length($y)!=4);
 
   my($day,$dow,$doy)=();
-  $doy=&Date_DayOfYear($m,$d,$y);
+  $doy=Date_DayOfYear($m,$d,$y);
 
   # The current DayOfYear and DayOfWeek
@@ -3379,5 +3281,5 @@
     $day=4;
   }
-  $dow=&Date_DayOfWeek(1,$day,$y);
+  $dow=Date_DayOfWeek(1,$day,$y);
 
   # Move back to the first day of week 1.
@@ -3392,5 +3294,5 @@
   print "DEBUG: Date_LeapYear\n"  if ($Curr{"Debug"} =~ /trace/);
   my($y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)!=4);
+  $y=_Date_FixYear($y)  if (length($y)!=4);
   return 0 unless $y % 4 == 0;
   return 1 unless $y % 100 == 0;
@@ -3402,5 +3304,5 @@
   print "DEBUG: Date_DaySuffix\n"  if ($Curr{"Debug"} =~ /trace/);
   my($d)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
+  Date_Init()  if (! $Curr{"InitDone"});
   return $Lang{$Cnf{"Language"}}{"DoML"}[$d-1];
 }
@@ -3409,5 +3311,5 @@
   print "DEBUG: Date_ConvTZ\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date,$from,$to,$level)=@_;
-  if (not Date_Split($date)) {
+  if (not _Date_Split($date)) {
     my $err = "date passed in ('$date') is not a Date::Manip object";
     if (! $level) {
@@ -3419,5 +3321,5 @@
   }
 
-  &Date_Init()  if (! $Curr{"InitDone"});
+  Date_Init()  if (! $Curr{"InitDone"});
   my($gmt)=();
 
@@ -3460,5 +3362,5 @@
   my($s1,$h1,$m1,$s2,$h2,$m2,$d,$h,$m,$sign,$delta,$err,$yr,$mon,$sec)=();
   # We're going to try to do the calculation without calling DateCalc.
-  ($yr,$mon,$d,$h,$m,$sec)=&Date_Split($date, 1);
+  ($yr,$mon,$d,$h,$m,$sec)=_Date_Split($date, 1);
 
   # Convert $date from $from to GMT
@@ -3494,6 +3396,6 @@
     $h -= $delta*24;
     if (($d + $delta) > 28) {
-      $date=&Date_Join($yr,$mon,$d,$h,$m,$sec);
-      return &DateCalc_DateDelta($date,"+0:0:0:$delta:0:0:0",\$err,0);
+      $date=_Date_Join($yr,$mon,$d,$h,$m,$sec);
+      return _DateCalc_DateDelta($date,"+0:0:0:$delta:0:0:0",\$err,0);
     }
     $d+= $delta;
@@ -3502,10 +3404,10 @@
     $h += $delta*24;
     if (($d - $delta) < 1) {
-      $date=&Date_Join($yr,$mon,$d,$h,$m,$sec);
-      return &DateCalc_DateDelta($date,"-0:0:0:$delta:0:0:0",\$err,0);
+      $date=_Date_Join($yr,$mon,$d,$h,$m,$sec);
+      return _DateCalc_DateDelta($date,"-0:0:0:$delta:0:0:0",\$err,0);
     }
     $d-= $delta;
   }
-  return &Date_Join($yr,$mon,$d,$h,$m,$sec);
+  return _Date_Join($yr,$mon,$d,$h,$m,$sec);
 }
 
@@ -3513,5 +3415,5 @@
   print "DEBUG: Date_TimeZone\n"  if ($Curr{"Debug"} =~ /trace/);
   my($null,$tz,@tz,$std,$dst,$time,$isdst,$tmp,$in)=();
-  &Date_Init()  if (! $Curr{"InitDone"});
+  Date_Init()  if (! $Curr{"InitDone"});
 
   # Get timezones from all of the relevant places
@@ -3560,5 +3462,5 @@
         }
       }
-      push(@tz,$tz);
+      push(@tz,$tz)  if (defined $tz);
     } else {
       # We need to satisfy taint checking, but also look in all the
@@ -3574,5 +3476,5 @@
 	$tz=(split(/\s+/,$tz))[4];
       }
-      push(@tz,$tz);
+      push(@tz,$tz)  if (defined $tz);
     }
   }
@@ -3607,4 +3509,6 @@
     $in->close;
   }
+  
+  print STDERR "Found time zones: @tz\n";
 
   # Now parse each one to find the first valid one.
@@ -3645,5 +3549,5 @@
   }
 
-  confess "ERROR: Date::Manip unable to determine Time Zone from @tz.\n";
+  confess "ERROR: Date::Manip unable to determine Time Zone.\n";
 }
 
@@ -3654,13 +3558,13 @@
   print "DEBUG: Date_IsWorkDay\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date,$time)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $date=&ParseDateString($date);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $date=ParseDateString($date);
   return ""  if (! $date);
   my($d)=$date;
-  $d=&Date_SetTime($date,$Cnf{"WorkDayBeg"})  if (! $time);
+  $d=Date_SetTime($date,$Cnf{"WorkDayBeg"})  if (! $time);
 
   my($y,$mon,$day,$h,$m,$s,$dow)=();
-  ($y,$mon,$day,$h,$m,$s)=&Date_Split($d, 1);
-  $dow=&Date_DayOfWeek($mon,$day,$y);
+  ($y,$mon,$day,$h,$m,$s)=_Date_Split($d, 1);
+  $dow=Date_DayOfWeek($mon,$day,$y);
 
   return 0  if ($dow<$Cnf{"WorkWeekBeg"} or
@@ -3672,7 +3576,7 @@
     # There will be recursion problems if we ever end up here twice.
     $Holiday{"dates"}{$y}={};
-    &Date_UpdateHolidays($y)
-  }
-  $d=&Date_SetTime($date,"00:00:00");
+    _Date_UpdateHolidays($y)
+  }
+  $d=Date_SetTime($date,"00:00:00");
   return 0  if (exists $Holiday{"dates"}{$y}{$d});
   1;
@@ -3690,18 +3594,18 @@
   print "DEBUG: Date_NextWorkDay\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date,$off,$time)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $date=&ParseDateString($date);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $date=ParseDateString($date);
   my($err)=();
 
-  if (! &Date_IsWorkDay($date,$time)) {
+  if (! Date_IsWorkDay($date,$time)) {
     if ($time) {
       while (1) {
-        $date=&Date_GetNext($date,undef,0,$Cnf{"WorkDayBeg"});
-        last  if (&Date_IsWorkDay($date,$time));
+        $date=Date_GetNext($date,undef,0,$Cnf{"WorkDayBeg"});
+        last  if (Date_IsWorkDay($date,$time));
       }
     } else {
       while (1) {
-        $date=&DateCalc_DateDelta($date,"+0:0:0:1:0:0:0",\$err,0);
-        last  if (&Date_IsWorkDay($date,$time));
+        $date=_DateCalc_DateDelta($date,"+0:0:0:1:0:0:0",\$err,0);
+        last  if (Date_IsWorkDay($date,$time));
       }
     }
@@ -3710,6 +3614,6 @@
   while ($off>0) {
     while (1) {
-      $date=&DateCalc_DateDelta($date,"+0:0:0:1:0:0:0",\$err,0);
-      last  if (&Date_IsWorkDay($date,$time));
+      $date=_DateCalc_DateDelta($date,"+0:0:0:1:0:0:0",\$err,0);
+      last  if (Date_IsWorkDay($date,$time));
     }
     $off--;
@@ -3732,22 +3636,22 @@
   print "DEBUG: Date_PrevWorkDay\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date,$off,$time)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $date=&ParseDateString($date);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $date=ParseDateString($date);
   my($err)=();
 
-  if (! &Date_IsWorkDay($date,$time)) {
+  if (! Date_IsWorkDay($date,$time)) {
     if ($time) {
       while (1) {
-        $date=&Date_GetPrev($date,undef,0,$Cnf{"WorkDayEnd"});
-        last  if (&Date_IsWorkDay($date,$time));
+        $date=Date_GetPrev($date,undef,0,$Cnf{"WorkDayEnd"});
+        last  if (Date_IsWorkDay($date,$time));
       }
       while (1) {
-        $date=&Date_GetNext($date,undef,0,$Cnf{"WorkDayBeg"});
-        last  if (&Date_IsWorkDay($date,$time));
+        $date=Date_GetNext($date,undef,0,$Cnf{"WorkDayBeg"});
+        last  if (Date_IsWorkDay($date,$time));
       }
     } else {
       while (1) {
-        $date=&DateCalc_DateDelta($date,"-0:0:0:1:0:0:0",\$err,0);
-        last  if (&Date_IsWorkDay($date,$time));
+        $date=_DateCalc_DateDelta($date,"-0:0:0:1:0:0:0",\$err,0);
+        last  if (Date_IsWorkDay($date,$time));
       }
     }
@@ -3756,6 +3660,6 @@
   while ($off>0) {
     while (1) {
-      $date=&DateCalc_DateDelta($date,"-0:0:0:1:0:0:0",\$err,0);
-      last  if (&Date_IsWorkDay($date,$time));
+      $date=_DateCalc_DateDelta($date,"-0:0:0:1:0:0:0",\$err,0);
+      last  if (Date_IsWorkDay($date,$time));
     }
     $off--;
@@ -3770,10 +3674,10 @@
   print "DEBUG: Date_NearestWorkDay\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date,$tomorrow)=@_;
-  &Date_Init()  if (! $Curr{"InitDone"});
-  $date=&ParseDateString($date);
+  Date_Init()  if (! $Curr{"InitDone"});
+  $date=ParseDateString($date);
   my($a,$b,$dela,$delb,$err)=();
   $tomorrow=$Cnf{"TomorrowFirst"}  if (! defined $tomorrow);
 
-  return $date  if (&Date_IsWorkDay($date));
+  return $date  if (Date_IsWorkDay($date));
 
   # Find the nearest one.
@@ -3788,12 +3692,12 @@
 
   while (1) {
-    $a=&DateCalc_DateDelta($a,$dela,\$err);
-    return $a  if (&Date_IsWorkDay($a));
-    $b=&DateCalc_DateDelta($b,$delb,\$err);
-    return $b  if (&Date_IsWorkDay($b));
-  }
-}
-
-# &Date_NthDayOfYear($y,$n);
+    $a=_DateCalc_DateDelta($a,$dela,\$err);
+    return $a  if (Date_IsWorkDay($a));
+    $b=_DateCalc_DateDelta($b,$delb,\$err);
+    return $b  if (Date_IsWorkDay($b));
+  }
+}
+
+# Date_NthDayOfYear($y,$n);
 #   Returns a list of (YYYY,MM,DD,HH,MM,SS) for the Nth day of the year.
 sub Date_NthDayOfYear {
@@ -3804,6 +3708,6 @@
   $n=1       if (! defined $n  or  $n eq "");
   $n+=0;     # to turn 023 into 23
-  $y=&Date_FixYear($y)  if (length($y)<4);
-  my $leap=&Date_LeapYear($y);
+  $y=_Date_FixYear($y)  if (length($y)<4);
+  my $leap=Date_LeapYear($y);
   return ()  if ($n<1);
   return ()  if ($n >= ($leap ? 367 : 366));
@@ -3856,6 +3760,6 @@
 #   $hash   = { key1=>val1 key2=>val2 ... }
 
-sub Date_InitHash {
-  print "DEBUG: Date_InitHash\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_InitHash {
+  print "DEBUG: _Date_InitHash\n"  if ($Curr{"Debug"} =~ /trace/);
   my($data,$regexp,$opts,$hash)=@_;
   my(@data)=@$data;
@@ -3879,5 +3783,5 @@
   if ($regexp) {
     @list=keys(%$hash);
-    @list=sort sortByLength(@list)  if ($sort);
+    @list=sort _sortByLength(@list)  if ($sort);
     if ($escape) {
       foreach $val (@list) {
@@ -3918,6 +3822,6 @@
 #   $hash
 
-sub Date_InitLists {
-  print "DEBUG: Date_InitLists\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_InitLists {
+  print "DEBUG: _Date_InitLists\n"  if ($Curr{"Debug"} =~ /trace/);
   my($data,$regexp,$opts,$lists,$hash)=@_;
   my(@data)=@$data;
@@ -3934,5 +3838,5 @@
   # Set each of the lists
   if (@lists) {
-    confess "ERROR: Date_InitLists: lists must be 1 per data\n"
+    confess "ERROR: _Date_InitLists: lists must be 1 per data\n"
       if ($#lists != $#data);
     for ($i=0; $i<=$#data; $i++) {
@@ -3972,5 +3876,5 @@
   if ($regexp) {
     @list=keys(%hash);
-    @list=sort sortByLength(@list)  if ($sort);
+    @list=sort _sortByLength(@list)  if ($sort);
     if ($escape) {
       foreach $ele (@list) {
@@ -4000,6 +3904,6 @@
 #   $regexp = '(string1|string2|...)'
 
-sub Date_InitStrings {
-  print "DEBUG: Date_InitStrings\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_InitStrings {
+  print "DEBUG: _Date_InitStrings\n"  if ($Curr{"Debug"} =~ /trace/);
   my($data,$regexp,$opts)=@_;
   my(@list)=@{ $data };
@@ -4014,5 +3918,5 @@
   # Create the regular expression
   my($ele)=();
-  @list=sort sortByLength(@list)  if ($sort);
+  @list=sort _sortByLength(@list)  if ($sort);
   if ($escape) {
     foreach $ele (@list) {
@@ -4062,5 +3966,5 @@
 #   val1     : treat the list as the keys of a hash with values 1 .. N
 
-#    &Date_InitLists([$lang{"month_name"},$lang{"month_abb"}],
+#    _Date_InitLists([$lang{"month_name"},$lang{"month_abb"}],
 #             [\$Month,"lc,sort,back"],
 #             [\@Month,\@Mon],
@@ -4101,6 +4005,6 @@
 #   val0     : treat the list as the keys of a hash with values 0 .. N-1
 #   val1     : treat the list as the keys of a hash with values 1 .. N
-sub Date_Regexp {
-  print "DEBUG: Date_Regexp\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Regexp {
+  print "DEBUG: _Date_Regexp\n"  if ($Curr{"Debug"} =~ /trace/);
   my($list,$options,$array)=@_;
   my(@list,$ret,%hash,$i)=();
@@ -4141,5 +4045,5 @@
     $list = join("&&&",@$list);
   } else {
-    confess "ERROR: Date_Regexp.\n";
+    confess "ERROR: _Date_Regexp.\n";
   }
 
@@ -4167,5 +4071,5 @@
     }
   }
-  @list=sort sortByLength(@list)  if ($sort);
+  @list=sort _sortByLength(@list)  if ($sort);
 
   $ret="($back" . join("|",@list) . ")";
@@ -4187,6 +4091,6 @@
 # the day), but if appropriate, signs will be in front of all elements.
 # Also, as many of the signs will be equivalent as possible.
-sub Delta_Normalize {
-  print "DEBUG: Delta_Normalize\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Delta_Normalize {
+  print "DEBUG: _Delta_Normalize\n"  if ($Curr{"Debug"} =~ /trace/);
   my($delta,$mode)=@_;
   return "" if (! $delta);
@@ -4205,5 +4109,5 @@
   # be a negative delta).
 
-  my($y,$mon,$w,$d,$h,$m,$s)=&Delta_Split($delta);
+  my($y,$mon,$w,$d,$h,$m,$s)=_Delta_Split($delta);
 
   # We need to make sure that the signs of all parts of a delta are the
@@ -4283,6 +4187,6 @@
 # specifies the default sign.  Blank elements are set to 0.  If the
 # third element is non-nil, exactly 7 elements must be included.
-sub Delta_Split {
-  print "DEBUG: Delta_Split\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Delta_Split {
+  print "DEBUG: _Delta_Split\n"  if ($Curr{"Debug"} =~ /trace/);
   my($delta,$sign,$exact)=@_;
   my(@delta)=split(/:/,$delta);
@@ -4301,8 +4205,8 @@
 # Reads up to 3 arguments.  $h may contain the time in any international
 # format.  Any empty elements are set to 0.
-sub Date_ParseTime {
-  print "DEBUG: Date_ParseTime\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_ParseTime {
+  print "DEBUG: _Date_ParseTime\n"  if ($Curr{"Debug"} =~ /trace/);
   my($h,$m,$s)=@_;
-  my($t)=&CheckTime("one");
+  my($t)=_CheckTime("one");
 
   if (defined $h  and  $h =~ /$t/) {
@@ -4320,8 +4224,8 @@
 # Forms a date with the 6 elements passed in (all of which must be defined).
 # No check as to validity is made.
-sub Date_Join {
-  print "DEBUG: Date_Join\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Join {
+  print "DEBUG: _Date_Join\n"  if ($Curr{"Debug"} =~ /trace/);
   foreach (0 .. $#_) {
-      croak "undefined arg $_ to Date_Join()" if not defined $_[$_];
+      croak "undefined arg $_ to _Date_Join()" if not defined $_[$_];
   }
   my($y,$m,$d,$h,$mn,$s)=@_;
@@ -4341,5 +4245,5 @@
 
   } else {
-    confess "ERROR: Invalid internal format in Date_Join.\n";
+    confess "ERROR: Invalid internal format in _Date_Join.\n";
   }
   $m="0$m"    if (length($m)==1);
@@ -4354,6 +4258,6 @@
 # If "one" or "two" is passed in, a regexp with 1/2 or 2 digit hours is
 # returned.
-sub CheckTime {
-  print "DEBUG: CheckTime\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _CheckTime {
+  print "DEBUG: _CheckTime\n"  if ($Curr{"Debug"} =~ /trace/);
   my($time)=@_;
   my($h)='(?:0?[0-9]|1[0-9]|2[0-3])';
@@ -4385,7 +4289,7 @@
 # This checks a recurrence.  If it is valid, it splits it and returns the
 # elements.  Otherwise, it returns an empty list.
-#    ($recur0,$recur1,$flags,$dateb,$date0,$date1)=&Recur_Split($recur);
-sub Recur_Split {
-  print "DEBUG: Recur_Split\n"  if ($Curr{"Debug"} =~ /trace/);
+#    ($recur0,$recur1,$flags,$dateb,$date0,$date1)=_Recur_Split($recur);
+sub _Recur_Split {
+  print "DEBUG: _Recur_Split\n"  if ($Curr{"Debug"} =~ /trace/);
   my($recur)=@_;
   my(@ret,@tmp);
@@ -4414,6 +4318,6 @@
 # still not valid, () is returned.
 #
-sub Date_Split {
-  print "DEBUG: Date_Split\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _Date_Split {
+  print "DEBUG: _Date_Split\n"  if ($Curr{"Debug"} =~ /trace/);
   my($date, $definitely_valid)=@_;
   $definitely_valid = 0 if not defined $definitely_valid;
@@ -4439,5 +4343,5 @@
 
   } else {
-    confess "ERROR: Invalid internal format in Date_Split.\n";
+    confess "ERROR: Invalid internal format in _Date_Split.\n";
   }
 
@@ -4455,5 +4359,5 @@
     ($y,$m,$d,$h,$mn,$s)=($1,$2,$3,$4,$5,$6);
     my(@d_in_m)=(0,31,28,31,30,31,30,31,31,30,31,30,31);
-    $d_in_m[2]=29  if (&Date_LeapYear($y));
+    $d_in_m[2]=29  if (Date_LeapYear($y));
     if ($d>$d_in_m[$m]) {
 	my $msg = "invalid date $date: day $d of month $m, but only $d_in_m[$m] days in that month";
@@ -4477,7 +4381,7 @@
 # This returns the date easter occurs on for a given year as ($month,$day).
 # This is from the Calendar FAQ.
-sub Date_Easter {
+sub _Date_Easter {
   my($y)=@_;
-  $y=&Date_FixYear($y)  if (length($y)==2);
+  $y=_Date_FixYear($y)  if (length($y)==2);
 
   my($c) = $y/100;
@@ -4497,5 +4401,5 @@
 # the 1st argument (with the 2nd argument the null list) and the year/month
 # of these will be used.
-sub Date_Recur_WoM {
+sub _Date_Recur_WoM {
   my($y,$m,$w,$d)=@_;
   my(@y)=@$y;
@@ -4507,5 +4411,5 @@
   if (@m) {
     foreach $m (@m) {
-      return ()  if (! &IsInt($m,1,12));
+      return ()  if (! _IsInt($m,1,12));
     }
 
@@ -4523,5 +4427,5 @@
   } else {
     foreach $d0 (@y) {
-      @tmp=&Date_Split($d0);
+      @tmp=_Date_Split($d0);
       return ()  if (! @tmp);
       push(@tmp2,$tmp[0]);
@@ -4533,10 +4437,10 @@
   return ()  if (! @w);
   foreach $w (@w) {
-    return ()  if ($w==0  ||  ! &IsInt($w,-5,5));
+    return ()  if ($w==0  ||  ! _IsInt($w,-5,5));
   }
 
   if (@d) {
     foreach $d (@d) {
-      return ()  if ($d==0  ||  ! &IsInt($d,-7,7));
+      return ()  if ($d==0  ||  ! _IsInt($d,-7,7));
       $d += 8  if ($d < 0);
     }
@@ -4548,16 +4452,16 @@
 
     # Find 1st day of this month and next month
-    $date0=&Date_Join($y,$m,1,0,0,0);
-    $date1=&DateCalc_DateDelta($date0,"+0:1:0:0:0:0:0");
+    $date0=_Date_Join($y,$m,1,0,0,0);
+    $date1=_DateCalc_DateDelta($date0,"+0:1:0:0:0:0:0");
 
     foreach $d (@d) {
       # Find 1st occurence of DOW (in both months)
-      $d0=&Date_GetNext($date0,$d,1);
-      $d1=&Date_GetNext($date1,$d,1);
+      $d0=Date_GetNext($date0,$d,1);
+      $d1=Date_GetNext($date1,$d,1);
 
       @tmp=();
-      while (&Date_Cmp($d0,$d1)<0) {
+      while (Date_Cmp($d0,$d1)<0) {
         push(@tmp,$d0);
-        $d0=&DateCalc_DateDelta($d0,"+0:0:1:0:0:0:0");
+        $d0=_DateCalc_DateDelta($d0,"+0:0:1:0:0:0:0");
       }
 
@@ -4585,20 +4489,20 @@
 # list is the first date>=$date1 (because sometimes the set part will
 # move the date back into the range).
-sub Date_Recur {
+sub _Date_Recur {
   my($date0,$date1,$dateb,$delta)=@_;
   my(@ret,$d)=();
 
-  while (&Date_Cmp($dateb,$date0)<0) {
-    $dateb=&DateCalc_DateDelta($dateb,$delta);
-  }
-  while (&Date_Cmp($dateb,$date1)>=0) {
-    $dateb=&DateCalc_DateDelta($dateb,"-$delta");
+  while (Date_Cmp($dateb,$date0)<0) {
+    $dateb=_DateCalc_DateDelta($dateb,$delta);
+  }
+  while (Date_Cmp($dateb,$date1)>=0) {
+    $dateb=_DateCalc_DateDelta($dateb,"-$delta");
   }
 
   # Add the dates $date0..$dateb
   $d=$dateb;
-  while (&Date_Cmp($d,$date0)>=0) {
+  while (Date_Cmp($d,$date0)>=0) {
     unshift(@ret,$d);
-    $d=&DateCalc_DateDelta($d,"-$delta");
+    $d=_DateCalc_DateDelta($d,"-$delta");
   }
   # Add the first date earler than the range
@@ -4606,8 +4510,8 @@
 
   # Add the dates $dateb..$date1
-  $d=&DateCalc_DateDelta($dateb,$delta);
-  while (&Date_Cmp($d,$date1)<0) {
+  $d=_DateCalc_DateDelta($dateb,$delta);
+  while (Date_Cmp($d,$date1)<0) {
     push(@ret,$d);
-    $d=&DateCalc_DateDelta($d,$delta);
+    $d=_DateCalc_DateDelta($d,$delta);
   }
   # Add the first date later than the range
@@ -4621,5 +4525,5 @@
 # $h,$m,$s can each be values or lists "1-2,4".  If any are equal to "-1",
 # they are not set (and none of the larger elements are set).
-sub Date_RecurSetTime {
+sub _Date_RecurSetTime {
   my($date0,$date1,$dates,$h,$m,$s)=@_;
   my(@dates)=@$dates;
@@ -4630,5 +4534,5 @@
 
   if ($h ne "-1") {
-    @h=&ReturnList($h);
+    @h=_ReturnList($h);
     return ()  if ! (@h);
     @h=sort { $a<=>$b } (@h);
@@ -4637,5 +4541,5 @@
     foreach $date (@dates) {
       foreach $h (@h) {
-        push(@tmp,&Date_SetDateField($date,"h",$h,1));
+        push(@tmp,Date_SetDateField($date,"h",$h,1));
       }
     }
@@ -4644,5 +4548,5 @@
 
   if ($m ne "-1") {
-    @m=&ReturnList($m);
+    @m=_ReturnList($m);
     return ()  if ! (@m);
     @m=sort { $a<=>$b } (@m);
@@ -4651,5 +4555,5 @@
     foreach $date (@dates) {
       foreach $m (@m) {
-        push(@tmp,&Date_SetDateField($date,"mn",$m,1));
+        push(@tmp,Date_SetDateField($date,"mn",$m,1));
       }
     }
@@ -4658,5 +4562,5 @@
 
   if ($s ne "-1") {
-    @s=&ReturnList($s);
+    @s=_ReturnList($s);
     return ()  if ! (@s);
     @s=sort { $a<=>$b } (@s);
@@ -4665,5 +4569,5 @@
     foreach $date (@dates) {
       foreach $s (@s) {
-        push(@tmp,&Date_SetDateField($date,"s",$s,1));
+        push(@tmp,Date_SetDateField($date,"s",$s,1));
       }
     }
@@ -4673,7 +4577,7 @@
   @tmp=();
   foreach $date (@dates) {
-    push(@tmp,$date)  if (&Date_Cmp($date,$date0)>=0  &&
-                          &Date_Cmp($date,$date1)<0  &&
-                          &Date_Split($date));
+    push(@tmp,$date)  if (Date_Cmp($date,$date0)>=0  &&
+                          Date_Cmp($date,$date1)<0  &&
+                          _Date_Split($date));
   }
 
@@ -4681,6 +4585,6 @@
 }
 
-sub DateCalc_DateDate {
-  print "DEBUG: DateCalc_DateDate\n"  if ($Curr{"Debug"} =~ /trace/);
+sub _DateCalc_DateDate {
+  print "DEBUG: _DateCalc_DateDate\n"  if ($Curr{"Debug"} =~ /trace/);
   my($D1,$D2,$mode)=@_;
   my(@d_in_m)=(0,31,28,31,30,31,30,31,31,30,31,30,31);
@@ -4689,6 +4593,6 @@
   # Exact mode
   if ($mode==0) {
-    my($y1,$m1,$d1,$h1,$mn1,$s1)=&Date_Split($D1, 1);
-    my($y2,$m2,$d2,$h2,$mn2,$s2)=&Date_Split($D2, 1);
+    my($y1,$m1,$d1,$h1,$mn1,$s1)=_Date_Split($D1, 1);
+    my($y2,$m2,$d2,$h2,$mn2,$s2)=_Date_Split($D2, 1);
     my($i,@delta,$d,$delta,$y)=();
 
@@ -4702,18 +4606,18 @@
     $d=0;
     if ($y2>$y1) {
-      $d=&Date_DaysInYear($y1) - &Date_DayOfYear($m1,$d1,$y1);
-      $d+=&Date_DayOfYear($m2,$d2,$y2);
+      $d=Date_DaysInYear($y1) - Date_DayOfYear($m1,$d1,$y1);
+      $d+=Date_DayOfYear($m2,$d2,$y2);
       for ($y=$y1+1; $y<$y2; $y++) {
-        $d+= &Date_DaysInYear($y);
+        $d+= Date_DaysInYear($y);
       }
     } elsif ($y2<$y1) {
-      $d=&Date_DaysInYear($y2) - &Date_DayOfYear($m2,$d2,$y2);
-      $d+=&Date_DayOfYear($m1,$d1,$y1);
+      $d=Date_DaysInYear($y2) - Date_DayOfYear($m2,$d2,$y2);
+      $d+=Date_DayOfYear($m1,$d1,$y1);
       for ($y=$y2+1; $y<$y1; $y++) {
-        $d+= &Date_DaysInYear($y);
+        $d+= Date_DaysInYear($y);
       }
       $d *= -1;
     } else {
-      $d=&Date_DayOfYear($m2,$d2,$y2) - &Date_DayOfYear($m1,$d1,$y1);
+      $d=Date_DayOfYear($m2,$d2,$y2) - Date_DayOfYear($m1,$d1,$y1);
     }
     $delta[2]=0;
@@ -4725,5 +4629,5 @@
 
     $delta=join(":",@delta);
-    $delta=&Delta_Normalize($delta,0);
+    $delta=_Delta_Normalize($delta,0);
     return $delta;
   }
@@ -4734,10 +4638,10 @@
   # make sure both are work days
   if ($mode==2 || $mode==3) {
-    $date1=&Date_NextWorkDay($date1,0,1);
-    $date2=&Date_NextWorkDay($date2,0,1);
+    $date1=Date_NextWorkDay($date1,0,1);
+    $date2=Date_NextWorkDay($date2,0,1);
   }
 
   # make sure date1 comes before date2
-  if (&Date_Cmp($date1,$date2)>0) {
+  if (Date_Cmp($date1,$date2)>0) {
     $sign="-";
     $tmp=$date1;
@@ -4747,11 +4651,11 @@
     $sign="+";
   }
-  if (&Date_Cmp($date1,$date2)==0) {
+  if (Date_Cmp($date1,$date2)==0) {
     return "+0:+0:+0:+0:+0:+0:+0"  if ($Cnf{"DeltaSigns"});
     return "+0:0:0:0:0:0:0";
   }
 
-  my($y1,$m1,$d1,$h1,$mn1,$s1)=&Date_Split($date1, 1);
-  my($y2,$m2,$d2,$h2,$mn2,$s2)=&Date_Split($date2, 1);
+  my($y1,$m1,$d1,$h1,$mn1,$s1)=_Date_Split($date1, 1);
+  my($y2,$m2,$d2,$h2,$mn2,$s2)=_Date_Split($date2, 1);
   my($dy,$dm,$dw,$dd,$dh,$dmn,$ds,$ddd)=(0,0,0,0,0,0,0,0);
 
